/* =============== Variables =============== */
:root {
    --text: black;
    --main: #FDECBF;
    --bg: #FDF5E6;
    --secondary: #FF8B35;
    --accent: #004D7B;
    --main-font: "clother-black", sans-serif;
}

/* =============== body =============== */

a {
    color: inherit;
    text-decoration: none;
}

/* Cible uniquement le body de la page welcome sans affecter les autres pages */
body:has(.welcome-page) {
    background-color: var(--bg);
    color: var(--text);
    font-size: 20px;
    font-family: var(--main-font);
}

/* =============== header =============== */

header {
    background-color: var(--main);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    margin: 40px 40px 0 40px;
    border-radius: 10px;
}

header img {
    height: 40px;
}

.header-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 130px;
    height: 30px;
    border-radius: 100px;
    border: none;
    font-size: 17px;
    font-family: inherit;
    cursor: pointer;
}

.header-button:nth-child(1) {
    background-color: var(--bg);
    color: var(--secondary);
}

.header-button:nth-child(2) {
    background-color: var(--secondary);
    color: var(--bg);
}

/* =============== section introduce =============== */

.intro-section {
    margin: 70px 40px 0 40px;
    padding-bottom: 80px;
    border-bottom: solid 3px #D9D9D9;
}

.introduction-grid-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr;
    gap: 100px;
}

h1 {
    font-size: 80px;
    line-height: 80px;
    color: var(--accent);
    font-weight: bold;
}

.h1-heighlight {
    color: var(--secondary);
}

.introduction-left-side p {
    background-color: var(--main);
    padding: 13px;
    border-radius: 10px;
    color: var(--accent);
}

.introduction-left-side {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.join-button {
    display: inline-flex;
    align-items: center;
    overflow: hidden;
    border: none;
    font-weight: bold;
    gap: 10px;
    font-size: 23px;
    font-family: inherit;
    background-color: var(--accent);
    color: var(--bg);
    width: 180px;
    height: 60px;
    border-radius: 17px;
    padding: 0 12px;
    cursor: pointer;
}

.join-button img {
    height: 17px;
}

.introduction-right-side {
    overflow: hidden;
    display: flex;
    justify-content: right;
}

.introduction-right-side img {
    width: 80%;
    object-fit: fill;
}

/* =============== section card =============== */

.card-section {
    margin: 0 40px 0 40px;
}

.card-grid-container {
    margin-top: 70px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 50px;
}

.card {
    background-color: var(--secondary);
    color: var(--bg);
    padding: 30px;
    border-radius: 10px;
}

.card img {
    width: 100%;
    border-radius: 10px;
}

.card h2 {
    margin-top: 40px;
    font-weight: bold;
}

.card p {
    margin-top: 40px;
}

/* =============== footer =============== */

footer {
    margin-top: 150px;
    background-color: var(--main);
    color: var(--secondary);
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 60px;
    padding: 0 40px;
}

.contact-us-container {
    display: flex;
    gap: 20px;
}

.social-media ul {
    display: flex;
    align-items: center;
    gap: 20px;
    list-style: none;
}

.social-label {
    font-weight: bold;
}
